Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network128.0.0.0/1
Usable hosts2,147,483,646
Subnet mask128.0.0.0
Addresses2,147,483,648
Network address
128.0.0.0
Broadcast address
255.255.255.255
First usable
128.0.0.1
Last usable
255.255.255.254
Usable hosts
2,147,483,646 (2,147,483,648 less the network and broadcast addresses)
Subnet mask
128.0.0.0
Wildcard mask
127.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/1
Type
Public public
Old class
B (default /16)
As numbers
Hex 80000000 · Integer 2147483648 to 4294967295
Reverse DNS zones
128.in-addr.arpa
129.in-addr.arpa
130.in-addr.arpa
131.in-addr.arpa
132.in-addr.arpa
133.in-addr.arpa
134.in-addr.arpa
135.in-addr.arpa
136.in-addr.arpa
137.in-addr.arpa
138.in-addr.arpa
139.in-addr.arpa
140.in-addr.arpa
141.in-addr.arpa
142.in-addr.arpa
143.in-addr.arpa
and 112 more
/1 is not on a 8-bit boundary, so it takes 128 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000000.00000000.00000000.00000000128.0.0.0
Subnet mask10000000.00000000.00000000.00000000128.0.0.0
Network10000000.00000000.00000000.00000000128.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/8

128.0.0.0/1 makes 128 subnets of /8.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1128.0.0.0/8128.0.0.1 to 128.255.255.254128.255.255.25516,777,214
2129.0.0.0/8129.0.0.1 to 129.255.255.254129.255.255.25516,777,214
3130.0.0.0/8130.0.0.1 to 130.255.255.254130.255.255.25516,777,214
4131.0.0.0/8131.0.0.1 to 131.255.255.254131.255.255.25516,777,214
5132.0.0.0/8132.0.0.1 to 132.255.255.254132.255.255.25516,777,214
6133.0.0.0/8133.0.0.1 to 133.255.255.254133.255.255.25516,777,214
7134.0.0.0/8134.0.0.1 to 134.255.255.254134.255.255.25516,777,214
8135.0.0.0/8135.0.0.1 to 135.255.255.254135.255.255.25516,777,214
9136.0.0.0/8136.0.0.1 to 136.255.255.254136.255.255.25516,777,214
10137.0.0.0/8137.0.0.1 to 137.255.255.254137.255.255.25516,777,214
11138.0.0.0/8138.0.0.1 to 138.255.255.254138.255.255.25516,777,214
12139.0.0.0/8139.0.0.1 to 139.255.255.254139.255.255.25516,777,214
13140.0.0.0/8140.0.0.1 to 140.255.255.254140.255.255.25516,777,214
14141.0.0.0/8141.0.0.1 to 141.255.255.254141.255.255.25516,777,214
15142.0.0.0/8142.0.0.1 to 142.255.255.254142.255.255.25516,777,214
16143.0.0.0/8143.0.0.1 to 143.255.255.254143.255.255.25516,777,214
17144.0.0.0/8144.0.0.1 to 144.255.255.254144.255.255.25516,777,214
18145.0.0.0/8145.0.0.1 to 145.255.255.254145.255.255.25516,777,214
19146.0.0.0/8146.0.0.1 to 146.255.255.254146.255.255.25516,777,214
20147.0.0.0/8147.0.0.1 to 147.255.255.254147.255.255.25516,777,214
21148.0.0.0/8148.0.0.1 to 148.255.255.254148.255.255.25516,777,214
22149.0.0.0/8149.0.0.1 to 149.255.255.254149.255.255.25516,777,214
23150.0.0.0/8150.0.0.1 to 150.255.255.254150.255.255.25516,777,214
24151.0.0.0/8151.0.0.1 to 151.255.255.254151.255.255.25516,777,214
25152.0.0.0/8152.0.0.1 to 152.255.255.254152.255.255.25516,777,214
26153.0.0.0/8153.0.0.1 to 153.255.255.254153.255.255.25516,777,214
27154.0.0.0/8154.0.0.1 to 154.255.255.254154.255.255.25516,777,214
28155.0.0.0/8155.0.0.1 to 155.255.255.254155.255.255.25516,777,214
29156.0.0.0/8156.0.0.1 to 156.255.255.254156.255.255.25516,777,214
30157.0.0.0/8157.0.0.1 to 157.255.255.254157.255.255.25516,777,214
31158.0.0.0/8158.0.0.1 to 158.255.255.254158.255.255.25516,777,214
32159.0.0.0/8159.0.0.1 to 159.255.255.254159.255.255.25516,777,214
33160.0.0.0/8160.0.0.1 to 160.255.255.254160.255.255.25516,777,214
34161.0.0.0/8161.0.0.1 to 161.255.255.254161.255.255.25516,777,214
35162.0.0.0/8162.0.0.1 to 162.255.255.254162.255.255.25516,777,214
36163.0.0.0/8163.0.0.1 to 163.255.255.254163.255.255.25516,777,214
37164.0.0.0/8164.0.0.1 to 164.255.255.254164.255.255.25516,777,214
38165.0.0.0/8165.0.0.1 to 165.255.255.254165.255.255.25516,777,214
39166.0.0.0/8166.0.0.1 to 166.255.255.254166.255.255.25516,777,214
40167.0.0.0/8167.0.0.1 to 167.255.255.254167.255.255.25516,777,214
41168.0.0.0/8168.0.0.1 to 168.255.255.254168.255.255.25516,777,214
42169.0.0.0/8169.0.0.1 to 169.255.255.254169.255.255.25516,777,214
43170.0.0.0/8170.0.0.1 to 170.255.255.254170.255.255.25516,777,214
44171.0.0.0/8171.0.0.1 to 171.255.255.254171.255.255.25516,777,214
45172.0.0.0/8172.0.0.1 to 172.255.255.254172.255.255.25516,777,214
46173.0.0.0/8173.0.0.1 to 173.255.255.254173.255.255.25516,777,214
47174.0.0.0/8174.0.0.1 to 174.255.255.254174.255.255.25516,777,214
48175.0.0.0/8175.0.0.1 to 175.255.255.254175.255.255.25516,777,214
49176.0.0.0/8176.0.0.1 to 176.255.255.254176.255.255.25516,777,214
50177.0.0.0/8177.0.0.1 to 177.255.255.254177.255.255.25516,777,214
51178.0.0.0/8178.0.0.1 to 178.255.255.254178.255.255.25516,777,214
52179.0.0.0/8179.0.0.1 to 179.255.255.254179.255.255.25516,777,214
53180.0.0.0/8180.0.0.1 to 180.255.255.254180.255.255.25516,777,214
54181.0.0.0/8181.0.0.1 to 181.255.255.254181.255.255.25516,777,214
55182.0.0.0/8182.0.0.1 to 182.255.255.254182.255.255.25516,777,214
56183.0.0.0/8183.0.0.1 to 183.255.255.254183.255.255.25516,777,214
57184.0.0.0/8184.0.0.1 to 184.255.255.254184.255.255.25516,777,214
58185.0.0.0/8185.0.0.1 to 185.255.255.254185.255.255.25516,777,214
59186.0.0.0/8186.0.0.1 to 186.255.255.254186.255.255.25516,777,214
60187.0.0.0/8187.0.0.1 to 187.255.255.254187.255.255.25516,777,214
61188.0.0.0/8188.0.0.1 to 188.255.255.254188.255.255.25516,777,214
62189.0.0.0/8189.0.0.1 to 189.255.255.254189.255.255.25516,777,214
63190.0.0.0/8190.0.0.1 to 190.255.255.254190.255.255.25516,777,214
64191.0.0.0/8191.0.0.1 to 191.255.255.254191.255.255.25516,777,214
65192.0.0.0/8192.0.0.1 to 192.255.255.254192.255.255.25516,777,214
66193.0.0.0/8193.0.0.1 to 193.255.255.254193.255.255.25516,777,214
67194.0.0.0/8194.0.0.1 to 194.255.255.254194.255.255.25516,777,214
68195.0.0.0/8195.0.0.1 to 195.255.255.254195.255.255.25516,777,214
69196.0.0.0/8196.0.0.1 to 196.255.255.254196.255.255.25516,777,214
70197.0.0.0/8197.0.0.1 to 197.255.255.254197.255.255.25516,777,214
71198.0.0.0/8198.0.0.1 to 198.255.255.254198.255.255.25516,777,214
72199.0.0.0/8199.0.0.1 to 199.255.255.254199.255.255.25516,777,214
73200.0.0.0/8200.0.0.1 to 200.255.255.254200.255.255.25516,777,214
74201.0.0.0/8201.0.0.1 to 201.255.255.254201.255.255.25516,777,214
75202.0.0.0/8202.0.0.1 to 202.255.255.254202.255.255.25516,777,214
76203.0.0.0/8203.0.0.1 to 203.255.255.254203.255.255.25516,777,214
77204.0.0.0/8204.0.0.1 to 204.255.255.254204.255.255.25516,777,214
78205.0.0.0/8205.0.0.1 to 205.255.255.254205.255.255.25516,777,214
79206.0.0.0/8206.0.0.1 to 206.255.255.254206.255.255.25516,777,214
80207.0.0.0/8207.0.0.1 to 207.255.255.254207.255.255.25516,777,214
81208.0.0.0/8208.0.0.1 to 208.255.255.254208.255.255.25516,777,214
82209.0.0.0/8209.0.0.1 to 209.255.255.254209.255.255.25516,777,214
83210.0.0.0/8210.0.0.1 to 210.255.255.254210.255.255.25516,777,214
84211.0.0.0/8211.0.0.1 to 211.255.255.254211.255.255.25516,777,214
85212.0.0.0/8212.0.0.1 to 212.255.255.254212.255.255.25516,777,214
86213.0.0.0/8213.0.0.1 to 213.255.255.254213.255.255.25516,777,214
87214.0.0.0/8214.0.0.1 to 214.255.255.254214.255.255.25516,777,214
88215.0.0.0/8215.0.0.1 to 215.255.255.254215.255.255.25516,777,214
89216.0.0.0/8216.0.0.1 to 216.255.255.254216.255.255.25516,777,214
90217.0.0.0/8217.0.0.1 to 217.255.255.254217.255.255.25516,777,214
91218.0.0.0/8218.0.0.1 to 218.255.255.254218.255.255.25516,777,214
92219.0.0.0/8219.0.0.1 to 219.255.255.254219.255.255.25516,777,214
93220.0.0.0/8220.0.0.1 to 220.255.255.254220.255.255.25516,777,214
94221.0.0.0/8221.0.0.1 to 221.255.255.254221.255.255.25516,777,214
95222.0.0.0/8222.0.0.1 to 222.255.255.254222.255.255.25516,777,214
96223.0.0.0/8223.0.0.1 to 223.255.255.254223.255.255.25516,777,214
97224.0.0.0/8224.0.0.1 to 224.255.255.254224.255.255.25516,777,214
98225.0.0.0/8225.0.0.1 to 225.255.255.254225.255.255.25516,777,214
99226.0.0.0/8226.0.0.1 to 226.255.255.254226.255.255.25516,777,214
100227.0.0.0/8227.0.0.1 to 227.255.255.254227.255.255.25516,777,214
101228.0.0.0/8228.0.0.1 to 228.255.255.254228.255.255.25516,777,214
102229.0.0.0/8229.0.0.1 to 229.255.255.254229.255.255.25516,777,214
103230.0.0.0/8230.0.0.1 to 230.255.255.254230.255.255.25516,777,214
104231.0.0.0/8231.0.0.1 to 231.255.255.254231.255.255.25516,777,214
105232.0.0.0/8232.0.0.1 to 232.255.255.254232.255.255.25516,777,214
106233.0.0.0/8233.0.0.1 to 233.255.255.254233.255.255.25516,777,214
107234.0.0.0/8234.0.0.1 to 234.255.255.254234.255.255.25516,777,214
108235.0.0.0/8235.0.0.1 to 235.255.255.254235.255.255.25516,777,214
109236.0.0.0/8236.0.0.1 to 236.255.255.254236.255.255.25516,777,214
110237.0.0.0/8237.0.0.1 to 237.255.255.254237.255.255.25516,777,214
111238.0.0.0/8238.0.0.1 to 238.255.255.254238.255.255.25516,777,214
112239.0.0.0/8239.0.0.1 to 239.255.255.254239.255.255.25516,777,214
113240.0.0.0/8240.0.0.1 to 240.255.255.254240.255.255.25516,777,214
114241.0.0.0/8241.0.0.1 to 241.255.255.254241.255.255.25516,777,214
115242.0.0.0/8242.0.0.1 to 242.255.255.254242.255.255.25516,777,214
116243.0.0.0/8243.0.0.1 to 243.255.255.254243.255.255.25516,777,214
117244.0.0.0/8244.0.0.1 to 244.255.255.254244.255.255.25516,777,214
118245.0.0.0/8245.0.0.1 to 245.255.255.254245.255.255.25516,777,214
119246.0.0.0/8246.0.0.1 to 246.255.255.254246.255.255.25516,777,214
120247.0.0.0/8247.0.0.1 to 247.255.255.254247.255.255.25516,777,214
121248.0.0.0/8248.0.0.1 to 248.255.255.254248.255.255.25516,777,214
122249.0.0.0/8249.0.0.1 to 249.255.255.254249.255.255.25516,777,214
123250.0.0.0/8250.0.0.1 to 250.255.255.254250.255.255.25516,777,214
124251.0.0.0/8251.0.0.1 to 251.255.255.254251.255.255.25516,777,214
125252.0.0.0/8252.0.0.1 to 252.255.255.254252.255.255.25516,777,214
126253.0.0.0/8253.0.0.1 to 253.255.255.254253.255.255.25516,777,214
127254.0.0.0/8254.0.0.1 to 254.255.255.254254.255.255.25516,777,214
128255.0.0.0/8255.0.0.1 to 255.255.255.254255.255.255.25516,777,214

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses